Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization.impl.jboss
Class LocalMarshalledValue

    java.lang.Object
      org.jboss.remoting.serialization.RemotingMarshalledValue
          org.jboss.remoting.serialization.impl.jboss.LocalMarshalledValue

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, IMarshalledValue

    public class LocalMarshalledValue

extends RemotingMarshalledValue
implements java.io.Externalizable

Does lazy serialization based on JBossSerialization. I'm using JbossSerialization internal's API here, because DataContainer is a repository of final variables, and in case we are only using this MarshalledValue to cross ClassLoader isolations, we don't need to convert the repository to a byteArray.

$Id: LocalMarshalledValue.java 1216 2006-07-05 17:01:48Z telrod $

Author:
  Clebert Suconic
See Also:
  Serialized Form

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`LocalMarshalledValue()`
`LocalMarshalledValue(java.lang.Object obj)`
`LocalMarshalledValue(java.lang.Object obj, org.jboss.serial.objectmetamodel.safecloning.SafeCloningRepository safeToReuse)`

Method Summary
`java.lang.Object` | `get()` The object has to be unserialized only when the first get is executed.
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### LocalMarshalledValue

    public LocalMarshalledValue()

### LocalMarshalledValue

    public LocalMarshalledValue(java.lang.Object obj)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### LocalMarshalledValue

    public LocalMarshalledValue(java.lang.Object obj,
                                org.jboss.serial.objectmetamodel.safecloning.SafeCloningRepository safeToReuse)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### get

    public java.lang.Object get()
                         throws java.io.IOException,
                                java.lang.ClassNotFoundException

  The object has to be unserialized only when the first get is executed.

  Specified by:
    `get` in interface `IMarshalledValue`
  Specified by:
    `get` in class `RemotingMarshalledValue`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.